 /****************************************************************************
 * This file is part of Bunny Maze Application                                *
 *                                                                           *
 * Copyright (c) 2011, Eyelead Software. All rights reserved.                *
 * PROPRIETARY AND CONFIDENTIAL                                              *
 *                                                                           *
 * This file is subject to the terms and conditions of the                   *
 * Commercial Software License Agreement by and between                      *
 * Qualcomm Incorporated and Eyelead Software S.A                            *
 * as made and entered on September 30th, 2011                               *
 *****************************************************************************/

#using stdlib game
#hive 1

lists entities;
listvf entitiesvf;

void init()
{
	//set entity tag
	debugLog("Loading trap: "+getTag());
	this.setChannel("prox.radius",4.8);
	entities=lists();
	entitiesvf=listvf();
}
public void regEvents() {
	addListener(ON_ENTITYENTER,"e_enter");
	addListener(ON_ENTITYLEAVE,"e_leave");
}
public string isLoaded() {
	return "1";
}
public void reset() {}
void e_enter(string _tag) {
	entities.push(_tag);
	entitiesvf.push( vfopenEntityByTag(_tag) );
	if (entities.num()==1) addListener(ON_TICK,"tick");
}
void e_leave(string _tag) {
	int index=entities.findIndex(_tag);
	entities.delIndex(index);
	entitiesvf.delIndex(index);
	if (entities.num()==0) clearListeners(ON_TICK);
	[_tag->setBaseY(2.33)];
}
void tick() {
	int i;
	vfile vf;
	float dist;
	int num=entities.num();
	for (i=0;i<num;i++) {
		vf=entitiesvf.get(i);
		dist=(vf.getPos()-this.getWorld().getPos()).xz().length();
		[entities.get(i)->setBaseY(2.33 + (1.0-(dist/4.8))*1.2)];;
	}
}
public void saveState() {
}
public void loadState() {
}
