 /****************************************************************************
 * This file is part of Bunny Maze Application                                *
 *                                                                           *
 * Copyright (c) 2011, Eyelead Software. All rights reserved.                *
 * PROPRIETARY AND CONFIDENTIAL                                              *
 *                                                                           *
 * This file is subject to the terms and conditions of the                   *
 * Commercial Software License Agreement by and between                      *
 * Qualcomm Incorporated and Eyelead Software S.A                            *
 * as made and entered on September 30th, 2011                               *
 *****************************************************************************/

#using stdlib
#hive 1

listi grid,diff,clun,hedge;

void init() {
	setTag("docks.levels");
	grid=listi();
	grid.push(4);//1
	grid.push(4);//2
	grid.push(4);//3
	grid.push(5);//4
	grid.push(5);//5
	grid.push(5);//6
	grid.push(5);//7
	grid.push(5);//8
	grid.push(6);//9
	grid.push(6);//10
	grid.push(7);//11
	grid.push(7);//12
	grid.push(7);//13
	grid.push(7);//14
	grid.push(6);//15
	grid.push(6);//16
	grid.push(6);//17
	grid.push(7);//18
	grid.push(7);//19
	grid.push(8);//20
	grid.push(8);//21	
	
	diff=listi();
	diff.push(4);//1
	diff.push(4);//2
	diff.push(4);//3
	diff.push(4);//4
	diff.push(4);//5
	diff.push(4);//6
	diff.push(5);//7
	diff.push(5);//8
	diff.push(5);//9
	diff.push(6);//10
	diff.push(6);//11
	diff.push(7);//12
	diff.push(7);//13
	diff.push(7);//14
	diff.push(8);//15
	diff.push(8);//16
	diff.push(9);//17
	diff.push(9);//18
	diff.push(9);//19
	diff.push(10);//20
	diff.push(10);//21		
	
	clun=listi();
	clun.push(1);//1
	clun.push(1);//2
	clun.push(1);//3
	clun.push(1);//4
	clun.push(1);//5
	clun.push(1);//6
	clun.push(2);//7
	clun.push(1);//8
	clun.push(1);//9
	clun.push(1);//10
	clun.push(2);//11
	clun.push(2);//12
	clun.push(2);//13
	clun.push(2);//14
	clun.push(1);//15
	clun.push(1);//16
	clun.push(2);//17
	clun.push(2);//18
	clun.push(2);//19
	clun.push(2);//20
	clun.push(3);//21	
	
	hedge=listi();
	hedge.push(0);//1
	hedge.push(0);//2
	hedge.push(0);//3
	hedge.push(0);//4
	hedge.push(0);//5
	hedge.push(1);//6
	hedge.push(1);//7
	hedge.push(0);//8
	hedge.push(0);//9
	hedge.push(0);//10
	hedge.push(0);//11
	hedge.push(0);//12
	hedge.push(1);//13
	hedge.push(1);//14
	hedge.push(0);//15
	hedge.push(0);//16
	hedge.push(0);//17
	hedge.push(0);//18
	hedge.push(0);//19
	hedge.push(1);//20
	hedge.push(2);//21	
}
public string isLoaded() { return "1"; }
public string getTileTypes(int _level) {
if (_level==1) return "D:270:-;L:0:-;T:0:-;D:180:-;T:90:-;T:270:CLOCK;I:90:-;D:270:-;L:90:-;X:0:-;T:270:-;I:90:ROCK;D:0:-;L:180:-;L:90:CLOCK;L:180:SHOES;";
else if (_level==2) return "L:0:-;L:270:-;L:0:-;L:270:-;D:90:-;I:90:-;I:90:CLOCK;I:90:-;L:0:-;L:180:ROCK;D:90:-;I:90:SHOES;L:90:-;I:0:CLOCK;I:0:-;L:180:-;";
else if (_level==3) return "D:270:-;D:0:-;T:0:-;L:270:-;L:90:-;I:0:-;L:180:CLOCK;I:90:SHOES;L:0:-;T:0:-;T:0:ROCK;L:180:-;L:90:-;T:180:CLOCK;T:180:-;D:180:-;";
else if (_level==4) return "L:0:-;T:0:-;L:270:CLOCK;L:0:-;D:180:-;D:90:-;T:90:-;T:180:POTION;T:180:BANANA;L:270:CLOCK;L:0:ROCK;T:270:CLOCK;L:0:-;L:270:-;I:90:-;L:90:-;T:180:-;L:180:SHOES;L:90:-;T:270:-;D:0:-;I:0:-;I:0:CHEST;I:0:-;L:180:-;";
else if (_level==5) return "L:0:ROCK;L:270:-;L:0:-;T:0:-;D:180:-;I:90:-;T:90:CLOCK;T:270:POTION;T:90:CLOCK;L:270:-;I:90:-;T:90:CHEST;T:180:-;L:180:-;I:90:-;I:90:BANANA;L:90:CLOCK;T:0:-;T:0:-;T:270:-;L:90:-;I:0:SHOES;L:180:-;D:90:-;D:90:-;";
else if (_level==6) return "L:0:-;T:0:-;I:0:SHOES;T:0:-;L:270:POTION;I:90:-;L:90:BANANA;T:0:CHEST;T:270:CLOCK;I:90:ROCK;L:90:CLOCK;T:0:-;X:0:LHOUSE;T:270:-;D:90:-;D:270:-;I:90:-;I:90:-;L:90:-;L:270:BANANA;L:90:-;L:180:-;L:90:-;I:0:CLOCK;L:180:-;";
else if (_level==7) return "L:0:-;I:0:-;I:0:-;I:0:ROCK;D:180:-;T:90:CLOCK;L:270:-;L:0:-;T:0:POTION;L:270:ROCK;T:90:-;T:180:CLOCK;X:0:LHOUSE;T:270:-;I:90:-;I:90:SHOES;L:0:-;X:0:-;L:180:CLOCK;I:90:-;L:90:-;L:180:BANANA;L:90:-;I:0:BANANA;L:180:-;";
else if (_level==8) return "L:0:-;I:0:-;I:0:PIER;L:270:POTION;D:270:-;T:90:-;T:0:-;T:0:ROCK;T:180:CLOCK;T:270:-;T:90:-;X:0:-;T:180:CLOCK;T:0:ROCK;L:180:-;L:90:-;T:180:-;I:0:PIER;T:180:-;L:270:-;D:0:-;I:0:CLOCK;I:0:SHOES;I:0:-;L:180:-;";
else if (_level==9) return "D:0:-;I:0:-;T:0:POTION;T:0:-;T:0:-;L:270:-;L:0:-;I:0:PIER;T:270:-;T:90:CLOCK;T:270:-;I:90:PIER;T:90:CLOCK;T:0:-;L:180:-;T:90:-;T:180:-;T:270:-;I:90:-;L:90:SHOES;T:0:-;L:180:CLOCK;L:0:ROCK;T:270:-;L:90:-;T:0:CHEST;X:0:-;T:0:-;X:0:-;T:270:-;D:0:-;T:180:-;L:180:ROCK;D:90:-;L:90:-;L:180:CLOCK;";
else if (_level==10) return "D:270:-;L:0:-;I:0:ROCK;L:270:-;L:0:SHOES;L:270:-;T:90:-;T:180:CLOCK;T:0:-;X:0:-;L:180:-;I:90:PIER;T:90:-;T:0:-;T:270:-;T:90:-;T:0:CLOCK;T:270:-;I:90:CLOCK;I:90:PIER;L:90:CLOCK;X:0:-;T:270:-;I:90:SHOES;I:90:-;I:90:ROCK;L:0:-;L:180:CHEST;T:90:CLOCK;T:270:-;L:90:-;T:180:-;L:180:-;D:0:-;L:180:POTION;D:90:-;";
else if (_level==11) return "D:0:-;I:0:SHOES;I:0:-;T:0:-;T:0:CHEST;L:270:POTION;D:270:-;L:0:-;T:0:-;I:0:-;T:180:CHEST;X:0:CLOCK;T:180:-;L:180:BANANA;I:90:-;T:90:-;T:0:-;L:270:CLOCK;T:90:ROCK;T:0:POTION;L:270:ROCK;I:90:-;I:90:PIER;T:90:-;X:0:LHOUSE;T:270:-;T:90:CLOCK;T:270:-;I:90:BANANA;T:90:-;T:180:CLOCK;T:270:-;I:90:PIER;D:90:-;I:90:CLOCK;I:90:-;T:90:-;L:270:-;T:90:CLOCK;X:0:-;L:270:-;I:90:SHOES;L:90:-;T:180:-;T:180:-;T:180:-;L:180:-;L:90:-;L:180:-;";
else if (_level==12) return "D:270:-;L:0:-;T:0:ROCK;L:270:CLOCK;L:0:-;L:270:-;D:270:-;I:90:-;T:90:CHEST;T:270:ROCK;T:90:-;T:180:-;T:270:CLOCK;I:90:-;I:90:PIER;T:90:-;T:270:-;T:90:-;L:270:-;T:90:-;T:270:CLOCK;I:90:PIER;L:90:POTION;T:270:ROCK;I:90:SHOES;I:90:PIER;T:90:-;T:270:-;L:90:-;T:0:-;X:0:LHOUSE;T:270:-;T:90:SHOES;X:0:-;L:180:-;D:270:-;L:90:-;T:180:BANANA;T:270:CLOCK;L:90:CLOCK;T:180:POTION;L:270:-;L:90:-;I:0:-;I:0:CLOCK;T:180:-;I:0:-;I:0:BANANA;L:180:-;";
else if (_level==13) return "L:0:-;T:0:CLOCK;I:0:PIER;D:180:-;L:0:ROCK;T:0:SHOES;D:180:-;I:90:-;L:90:-;I:0:POTION;I:0:PIER;L:180:-;T:90:CLOCK;L:270:-;I:90:BANANA;D:0:-;T:0:CLOCK;I:0:-;T:0:BANANA;L:180:-;I:90:-;I:90:-;L:0:-;X:0:LHOUSE;T:0:CHEST;T:270:-;L:0:-;L:180:-;I:90:BANANA;T:90:CLOCK;T:270:SHOES;D:90:-;I:90:-;T:90:-;L:270:-;I:90:PIER;T:90:-;X:0:LHOUSE;L:270:-;I:90:CLOCK;L:90:CLOCK;T:270:-;L:90:-;L:180:ROCK;L:90:-;L:180:ROCK;L:90:-;I:0:POTION;L:180:-;";
else if (_level==14) return "D:270:-;D:0:-;I:0:ROCK;I:0:-;L:270:-;L:0:-;L:270:-;L:90:-;I:0:PIER;I:0:BANANA;L:270:SHOES;L:90:-;T:270:-;I:90:-;L:0:CLOCK;T:0:CLOCK;L:270:-;T:90:POTION;T:0:-;T:270:CLOCK;I:90:PIER;D:90:-;T:90:ROCK;X:0:-;X:0:-;T:270:-;T:90:-;T:270:CLOCK;L:0:SHOES;T:180:-;X:0:LHOUSE;T:180:ROCK;X:0:LHOUSE;X:0:-;L:180:BANANA;T:90:-;T:0:-;T:180:CHEST;I:0:-;L:180:CLOCK;L:90:-;L:270:BANANA;L:90:-;T:180:-;I:0:PIER;I:0:-;I:0:POTION;I:0:-;L:180:CLOCK;";
else if (_level==15) return "L:0:CLOCK;I:0:PIER;I:0:PIER;L:270:-;D:0:-;L:270:POTION;I:90:SHOES;L:0:ROCK;T:0:SIGN;X:0:CLOCK;T:0:-;T:270:SIGN;T:90:CLOCK;L:180:-;T:90:-;X:0:-;T:270:-;D:90:-;T:90:POTION;L:270:-;T:90:CLOCK;T:270:SIGN;T:90:SIGN;D:180:-;T:90:ROCK;T:180:SIGN;T:180:ROCK;T:270:SIGN;L:90:CLOCK;L:270:-;L:90:-;I:0:PIER;D:180:-;L:90:SHOES;I:0:-;L:180:CLOCK;";
else if (_level==16) return "L:0:ROCK;L:270:POTION;D:270:-;D:0:-;T:0:ROCK;L:270:-;T:90:CLOCK;T:270:-;L:90:-;T:0:CLOCK;T:270:-;I:90:CLOCK;T:90:CLOCK;X:0:-;I:0:-;T:180:SIGN;T:270:SHOES;I:90:PIER;I:90:PIER;T:90:CLOCK;T:0:POTION;T:0:SIGN;X:0:LHOUSE;T:270:-;T:90:SIGN;T:180:-;T:180:SHOES;T:180:ROCK;X:0:-;T:270:SIGN;L:90:-;I:0:CLOCK;I:0:PIER;I:0:PIER;L:180:-;D:90:-;";
else if (_level==17) return "D:270:-;L:0:-;I:0:PIER;T:0:CLOCK;D:180:-;D:270:-;T:90:SIGN;X:0:LHOUSE;L:270:POTION;T:90:CLOCK;L:270:-;I:90:PIER;I:90:ROCK;T:90:SIGN;T:180:SHOES;X:0:-;T:270:ROCK;I:90:-;T:90:SIGN;L:180:-;L:0:ROCK;X:0:CLOCK;T:270:CLOCK;I:90:PIER;L:90:CLOCK;T:0:-;T:180:SHOES;X:0:POTION;T:270:-;I:90:CLOCK;D:0:-;T:180:SIGN;I:0:PIER;L:180:CLOCK;L:90:-;L:180:-;";
else if (_level==18) return "L:0:-;T:0:SIGN;L:270:-;L:0:POTION;D:180:-;L:0:CLOCK;L:270:ROCK;I:90:PIER;I:90:PIER;T:90:CLOCK;X:0:LHOUSE;T:0:ROCK;L:180:BANANA;I:90:PIER;I:90:-;T:90:SHOES;T:180:SIGN;X:0:CLOCK;L:180:SHOES;L:0:-;T:270:-;L:90:-;X:0:LHOUSE;L:270:-;L:90:BANANA;T:0:-;T:270:-;D:90:-;L:0:CLOCK;L:180:-;L:90:CLOCK;T:0:SIGN;T:270:-;L:90:ROCK;L:270:CLOCK;I:90:PIER;L:0:CLOCK;T:0:-;T:180:-;T:270:SIGN;L:0:CHEST;T:270:-;L:90:-;T:180:CLOCK;T:180:SIGN;D:180:-;L:90:POTION;L:180:-;D:90:-;";
else if (_level==19) return "D:270:-;D:0:-;I:0:PIER;T:0:SIGN;T:0:-;I:0:PIER;L:270:-;L:90:POTION;T:0:-;L:270:CLOCK;L:90:CLOCK;X:0:LHOUSE;L:270:-;I:90:PIER;D:0:-;T:270:BANANA;L:90:SHOES;T:0:CHEST;T:270:CLOCK;L:90:CLOCK;L:180:-;L:0:CLOCK;X:0:LHOUSE;D:180:-;T:90:-;X:0:CLOCK;T:0:SIGN;L:270:-;I:90:PIER;T:90:SHOES;T:0:SIGN;T:180:BANANA;T:180:-;X:0:-;T:270:SIGN;I:90:PIER;T:90:-;X:0:CLOCK;I:0:-;L:270:ROCK;T:90:ROCK;T:270:CLOCK;L:90:-;T:180:SIGN;L:180:ROCK;D:0:-;T:180:POTION;L:180:-;D:90:-;";
else if (_level==20) return "L:0:-;L:270:-;L:0:-;L:270:CHEST;L:0:SHOES;T:0:SIGN;I:0:BANANA;L:270:SHOES;T:90:SHOES;T:270:CLOCK;I:90:-;T:90:-;T:270:-;T:90:-;L:270:-;D:90:-;T:90:-;T:270:-;I:90:-;T:90:SIGN;X:0:CLOCK;X:0:LHOUSE;T:180:ROCK;L:270:BANANA;I:90:-;T:90:-;X:0:LHOUSE;X:0:CLOCK;T:270:CLOCK;I:90:PIER;L:0:-;L:180:ROCK;I:90:PIER;I:90:PIER;T:90:SIGN;X:0:LHOUSE;T:180:POTION;T:270:-;T:90:CLOCK;L:270:-;T:90:CLOCK;T:180:BANANA;L:180:-;T:90:CLOCK;L:270:-;T:90:POTION;T:270:SIGN;I:90:-;L:90:POTION;I:0:PIER;L:270:-;T:90:-;T:270:SIGN;T:90:-;T:180:CLOCK;L:180:CLOCK;D:0:-;I:0:-;T:180:SIGN;L:180:CLOCK;D:90:-;L:90:ROCK;I:0:PIER;D:180:-;";
else if (_level==21) return "L:0:CLOCK;T:0:-;I:0:CLOCK;I:0:PIER;I:0:CLOCK;I:0:PIER;T:0:SIGN;L:270:-;L:90:-;X:0:LHOUSE;I:0:PIER;T:0:-;T:0:-;T:0:-;L:180:SHOES;I:90:CLOCK;L:0:-;T:180:SIGN;T:0:SIGN;X:0:BANANA;X:0:ROCK;T:270:-;L:0:-;T:270:-;D:90:-;L:0:BANANA;X:0:LHOUSE;L:180:CLOCK;I:90:POTION;T:90:-;T:270:SIGN;D:90:-;L:0:SHOES;T:180:SIGN;T:180:SIGN;I:0:ROCK;X:0:-;T:270:SHOES;L:90:-;L:270:POTION;L:90:POTION;I:0:-;I:0:CLOCK;T:0:CLOCK;T:180:-;X:0:LHOUSE;D:180:-;I:90:PIER;L:0:-;I:0:PIER;L:270:CLOCK;L:90:-;L:270:ROCK;T:90:BANANA;L:270:-;I:90:CLOCK;L:90:-;D:180:-;L:90:CLOCK;I:0:-;T:180:-;L:180:-;L:90:-;L:180:CHEST;";
}
public int getGridSize(int _level) {
	return grid.get(_level-1);
}
public int getDifficulty(int _level) {
	return diff.get(_level-1);
}
public int getClunnyNum(int _level) {
	return clun.get(_level-1);
}
public int getHedgehogNum(int _level) {
	return hedge.get(_level-1);
}
public int getPenguinNum(int _level) {
	return 0;
}
public int getRequiredTime(int _level) { 
	float gs=float(getGridSize(_level));
	float d=float(getDifficulty(_level));
	return ["sc.loader"->getDefaultTime(d,gs) as int];
}
