 /****************************************************************************
 * This file is part of Bunny Maze Application                                *
 *                                                                           *
 * Copyright (c) 2011, Eyelead Software. All rights reserved.                *
 * PROPRIETARY AND CONFIDENTIAL                                              *
 *                                                                           *
 * This file is subject to the terms and conditions of the                   *
 * Commercial Software License Agreement by and between                      *
 * Qualcomm Incorporated and Eyelead Software S.A                            *
 * as made and entered on September 30th, 2011                               *
 *****************************************************************************/

#using stdlib
#hive 1

listi grid,diff,clun,hedge;

void init() {
	setTag("forest.levels");
	
	grid=listi();
	grid.push(4);//1
	grid.push(4);//2
	grid.push(4);//3
	grid.push(4);//4
	grid.push(4);//5
	grid.push(4);//6
	grid.push(4);//7
	grid.push(5);//8
	grid.push(4);//9
	grid.push(4);//10
	grid.push(5);//11
	grid.push(5);//12
	grid.push(5);//13
	grid.push(6);//14
	grid.push(6);//15
	grid.push(6);//16
	grid.push(7);//17
	grid.push(7);//18
	grid.push(7);//19
	grid.push(7);//20
	grid.push(8);//21
	
	diff=listi();
	diff.push(0);//1
	diff.push(1);//2
	diff.push(0);//3
	diff.push(1);//4
	diff.push(1);//5
	diff.push(2);//6
	diff.push(2);//7
	diff.push(4);//8
	diff.push(3);//9
	diff.push(3);//10
	diff.push(4);//11
	diff.push(4);//12
	diff.push(5);//13
	diff.push(5);//14
	diff.push(5);//15
	diff.push(6);//16
	diff.push(7);//17
	diff.push(7);//18
	diff.push(8);//19
	diff.push(8);//20
	diff.push(8);//21	
	
	clun=listi();
	clun.push(0);//1
	clun.push(0);//2
	clun.push(1);//3
	clun.push(0);//4
	clun.push(1);//5
	clun.push(2);//6
	clun.push(2);//7
	clun.push(1);//8
	clun.push(2);//9
	clun.push(2);//10
	clun.push(2);//11
	clun.push(2);//12
	clun.push(2);//13
	clun.push(2);//14
	clun.push(1);//15
	clun.push(1);//16
	clun.push(2);//17
	clun.push(2);//18
	clun.push(2);//19
	clun.push(2);//20
	clun.push(3);//21		
	
	hedge=listi();
	hedge.push(0);//1
	hedge.push(0);//2
	hedge.push(0);//3
	hedge.push(0);//4
	hedge.push(0);//5
	hedge.push(0);//6
	hedge.push(0);//7
	hedge.push(0);//8
	hedge.push(0);//9
	hedge.push(0);//10
	hedge.push(0);//11
	hedge.push(0);//12
	hedge.push(1);//13
	hedge.push(1);//14
	hedge.push(0);//15
	hedge.push(0);//16
	hedge.push(0);//17
	hedge.push(0);//18
	hedge.push(0);//19
	hedge.push(1);//20
	hedge.push(2);//21
}
public string isLoaded() { return "1"; }
public string getTileTypes(int _level) {
if (_level==1) return "L:0:-;L:270:-;L:0:-;L:270:-;D:90:-;I:90:-;I:90:-;I:90:-;L:0:-;L:180:-;D:90:-;I:90:-;L:90:-;I:0:-;I:0:-;L:180:-;";
else if (_level==2) return "D:0:-;I:0:POND;T:0:-;L:270:-;L:0:-;T:0:-;X:0:-;L:180:-;T:90:-;L:180:-;L:90:-;L:270:-;L:90:-;I:0:POND;I:0:POND;L:180:-;";
else if (_level==3) return "D:270:-;L:0:-;T:0:-;D:180:-;T:90:-;T:270:-;I:90:-;D:270:-;L:90:-;X:0:-;T:270:-;I:90:-;D:0:-;L:180:-;L:90:-;L:180:-;";
else if (_level==4) return "D:270:-;D:0:-;T:0:CLOCK;L:270:-;L:90:-;I:0:CLOCK;L:180:-;I:90:-;L:0:-;T:0:-;T:0:-;L:180:-;L:90:-;T:180:-;T:180:CLOCK;D:180:-;";
else if (_level==5) return "D:270:-;L:0:CLOCK;I:0:-;L:270:-;T:90:-;X:0:-;L:270:-;I:90:-;I:90:-;L:90:-;T:180:-;L:180:-;L:90:-;I:0:-;I:0:-;D:180:-;";
else if (_level==6) return "L:0:-;L:270:-;L:0:-;L:270:-;I:90:CLOCK;L:90:GOPHER;L:180:-;I:90:-;I:90:-;D:0:-;L:270:-;I:90:GOPHER;L:90:-;I:0:-;L:180:-;D:90:-;";
else if (_level==7) return "D:270:-;L:0:-;I:0:-;L:270:-;T:90:-;T:270:POTION;D:0:-;L:180:-;T:90:GOPHER;T:180:CLOCK;T:0:POTION;L:270:GOPHER;L:90:-;I:0:-;L:180:-;D:90:-;";
else if (_level==8) return "L:0:SHOES;I:0:-;I:0:-;L:270:-;D:270:-;T:90:-;T:0:-;T:0:-;T:180:CLOCK;T:270:-;T:90:-;X:0:-;T:180:-;T:0:-;L:180:-;L:90:-;T:180:SHOES;I:0:-;T:180:BANANA;L:270:-;D:0:-;I:0:-;I:0:-;I:0:CLOCK;L:180:BANANA;";
else if (_level==9) return "L:0:ROCK;D:180:-;L:0:-;D:180:-;T:90:-;I:0:POND;T:270:-;D:270:-;I:90:-;L:0:CLOCK;X:0:CLOCK;T:270:GOPHER;L:90:-;T:180:ROCK;L:180:-;D:90:-;";
else if (_level==10) return "L:0:-;I:0:POND;I:0:GOPHER;D:180:-;T:90:CLOCK;I:0:POND;T:0:CHEST;L:270:ROCK;L:90:GOPHER;L:270:CLOCK;I:90:-;I:90:POND;D:0:-;T:180:SHOES;L:180:-;D:90:-;";
else if (_level==11) return "L:0:-;L:270:GOPHER;L:0:-;I:0:CLOCK;L:270:-;D:90:-;L:90:CLOCK;L:180:-;L:0:CHEST;T:270:-;L:0:-;T:0:CLOCK;T:0:ROCK;T:270:GOPHER;I:90:POND;I:90:POND;T:90:SHOES;T:180:-;T:270:-;I:90:-;L:90:-;T:180:POTION;I:0:POND;L:180:-;D:90:-;";
else if (_level==12) return "L:0:-;L:270:GOPHER;L:0:ROCK;L:270:-;D:270:-;I:90:POND;T:90:-;T:180:-;T:270:-;I:90:CLOCK;I:90:POND;L:90:POTION;L:270:CLOCK;D:90:-;I:90:POND;T:90:CHEST;I:0:SHOES;T:180:-;I:0:POND;T:270:-;L:90:-;I:0:GOPHER;I:0:CLOCK;I:0:-;L:180:-;";
else if (_level==13) return "L:0:-;L:270:CLOCK;L:0:ROCK;T:0:SHOES;D:180:-;I:90:POND;L:90:-;T:180:CLOCK;X:0:-;L:270:POTION;L:90:-;I:0:POND;T:0:-;T:180:-;T:270:-;L:0:ROCK;I:0:POND;L:180:CLOCK;L:0:-;L:180:-;L:90:-;I:0:GOPHER;I:0:POND;T:180:GOPHER;D:180:-;";
else if (_level==14) return "L:0:-;T:0:-;I:0:POND;I:0:GOPHER;D:180:-;D:270:-;D:90:-;I:90:POND;L:0:CLOCK;T:0:CHEST;T:0:GOPHER;L:180:-;L:0:CLOCK;X:0:-;T:180:ROCK;T:270:-;T:90:POTION;D:180:-;I:90:CLOCK;T:90:-;T:0:-;T:270:-;L:90:-;L:270:-;T:90:ROCK;T:180:SHOES;T:180:-;X:0:-;L:270:-;I:90:-;L:90:-;I:0:POND;I:0:POND;L:180:-;L:90:-;L:180:CLOCK;";
else if (_level==15) return "L:0:CLOCK;I:0:POND;I:0:POND;L:270:-;D:0:-;L:270:ROCK;I:90:POND;L:0:-;T:0:-;X:0:LOG;T:0:-;T:270:-;T:90:-;L:180:-;T:90:-;X:0:-;T:270:CLOCK;D:90:-;T:90:CHEST;L:270:CLOCK;T:90:-;T:270:-;T:90:-;D:180:-;T:90:SHOES;T:180:-;T:180:-;T:270:-;L:90:ROCK;L:270:CLOCK;L:90:-;I:0:POND;D:180:-;L:90:-;I:0:POND;L:180:POTION;";
else if (_level==16) return "L:0:-;L:270:GOPHER;D:270:-;D:0:-;T:0:CLOCK;L:270:-;T:90:-;T:270:-;L:90:CLOCK;T:0:ROCK;T:270:SHOES;I:90:-;T:90:-;X:0:LOG;I:0:POND;T:180:-;T:270:CLOCK;I:90:POND;I:90:CLOCK;T:90:GOPHER;T:0:-;T:0:POTION;X:0:CLOCK;T:270:CHEST;T:90:ROCK;T:180:-;T:180:BANANA;T:180:-;X:0:LOG;T:270:SHOES;L:90:-;I:0:POND;I:0:POND;I:0:POND;L:180:-;D:90:-;";
else if (_level==17) return "L:0:-;I:0:POND;I:0:POND;L:270:-;L:0:CLOCK;T:0:-;L:270:-;T:90:CLOCK;I:0:-;I:0:CLOCK;T:180:-;T:270:ROCK;I:90:POND;I:90:GOPHER;I:90:-;L:0:-;T:0:ROCK;T:0:CLOCK;X:0:LOG;T:180:-;T:270:SHOES;T:90:-;T:270:-;T:90:-;T:270:-;T:90:-;T:0:-;T:270:-;I:90:-;I:90:POND;T:90:CLOCK;T:180:-;L:180:ROCK;I:90:GOPHER;I:90:-;I:90:POND;I:90:-;T:90:POTION;L:270:SHOES;L:0:-;L:180:-;I:90:-;L:90:-;T:180:POTION;L:180:-;L:90:CLOCK;L:180:CHEST;D:0:-;L:180:-;";
else if (_level==18) return "L:0:POTION;T:0:CLOCK;L:270:BANANA;L:0:CLOCK;D:180:-;L:0:-;L:270:ROCK;I:90:POND;I:90:POND;T:90:-;X:0:LOG;T:0:GOPHER;L:180:ROCK;I:90:POND;I:90:POND;T:90:CLOCK;T:180:-;X:0:GOPHER;L:180:-;L:0:-;T:270:-;L:90:CHEST;X:0:LOG;L:270:-;L:90:POTION;T:0:SHOES;T:270:BANANA;D:90:-;L:0:-;L:180:-;L:90:-;T:0:-;T:270:-;L:90:SHOES;L:270:ROCK;I:90:POND;L:0:CLOCK;T:0:-;T:180:CLOCK;T:270:-;L:0:CLOCK;T:270:-;L:90:-;T:180:-;T:180:-;D:180:-;L:90:-;L:180:-;D:90:-;";
else if (_level==19) return "L:0:ROCK;I:0:POND;I:0:POND;L:270:-;L:0:-;I:0:POND;L:270:-;T:90:-;I:0:POND;T:0:-;X:0:-;T:270:-;L:0:-;T:270:CLOCK;I:90:-;L:0:GOPHER;X:0:LOG;L:180:CHEST;I:90:ROCK;I:90:-;I:90:POND;D:90:-;I:90:-;T:90:CLOCK;I:0:POND;X:0:LOG;T:270:CLOCK;I:90:-;L:0:SHOES;L:180:-;L:90:-;T:0:BANANA;T:270:CLOCK;T:90:-;T:270:POTION;T:90:GOPHER;T:0:SHOES;L:270:BANANA;L:90:CLOCK;T:180:POTION;T:270:CLOCK;I:90:-;L:90:-;L:180:CLOCK;L:90:-;I:0:GOPHER;I:0:-;L:180:ROCK;D:90:-;";
else if (_level==20) return "D:270:-;L:0:ROCK;T:0:-;I:0:-;I:0:GOPHER;I:0:CLOCK;L:270:-;I:90:SHOES;I:90:POND;T:90:-;I:0:CLOCK;I:0:POND;L:270:ROCK;D:90:-;I:90:POND;I:90:CLOCK;T:90:POTION;T:0:-;T:0:-;T:180:-;L:270:CLOCK;I:90:POND;L:90:-;L:180:GOPHER;T:90:-;T:180:CLOCK;L:270:ROCK;I:90:POND;T:90:-;I:0:CLOCK;L:270:-;T:90:GOPHER;T:0:POTION;T:270:-;I:90:-;I:90:-;L:0:-;T:180:-;L:180:BANANA;I:90:POND;T:90:CHEST;T:270:CLOCK;L:90:-;T:180:-;I:0:BANANA;D:180:-;L:90:BANANA;L:180:SHOES;D:90:-;";
else if (_level==21) return "L:0:CLOCK;T:0:ROCK;I:0:GOPHER;I:0:POTION;I:0:POND;I:0:-;T:0:-;L:270:-;L:90:-;X:0:CHEST;I:0:GOPHER;T:0:-;T:0:-;T:0:-;L:180:CLOCK;I:90:POND;L:0:-;T:180:-;T:0:-;X:0:CLOCK;X:0:LOG;T:270:SHOES;L:0:-;T:270:-;D:90:-;L:0:-;X:0:LOG;L:180:CLOCK;I:90:CLOCK;T:90:-;T:270:-;D:90:-;L:0:POTION;T:180:ROCK;T:180:BANANA;I:0:POND;X:0:-;T:270:CLOCK;L:90:-;L:270:CHEST;L:90:SHOES;I:0:POND;I:0:BANANA;T:0:GOPHER;T:180:-;X:0:LOG;D:180:-;I:90:ROCK;L:0:-;I:0:POND;L:270:-;L:90:-;L:270:CLOCK;T:90:-;L:270:-;I:90:POND;L:90:-;D:180:-;L:90:BANANA;I:0:-;T:180:-;L:180:-;L:90:CLOCK;L:180:-;";
} 
public int getGridSize(int _level) {
	return grid.get(_level-1);
}
public int getDifficulty(int _level) {
	return diff.get(_level-1);
}
public int getClunnyNum(int _level) {
	return clun.get(_level-1);
}
public int getHedgehogNum(int _level) {
	return hedge.get(_level-1);
}
public int getPenguinNum(int _level) {
	return 0;
}
public int getRequiredTime(int _level) { 
	if (_level==1) return 30;
	if (_level==2) return 30;	
	if (_level==4) return 17;
	float gs=float(getGridSize(_level));
	float d=float(getDifficulty(_level));
	return ["sc.loader"->getDefaultTime(d,gs) as int];
}
