 /****************************************************************************
 * This file is part of Bunny Maze Application                                *
 *                                                                           *
 * Copyright (c) 2011, Eyelead Software. All rights reserved.                *
 * PROPRIETARY AND CONFIDENTIAL                                              *
 *                                                                           *
 * This file is subject to the terms and conditions of the                   *
 * Commercial Software License Agreement by and between                      *
 * Qualcomm Incorporated and Eyelead Software S.A                            *
 * as made and entered on September 30th, 2011                               *
 *****************************************************************************/

#using stdlib
#hive 1

listi grid,diff,clun,l_penguins;

void init() {
	setTag("snow.levels");
	grid=listi();
	grid.push(5);//1
	grid.push(5);//2
	grid.push(5);//3
	grid.push(6);//4
	grid.push(6);//5
	grid.push(6);//6
	grid.push(6);//7
	grid.push(6);//8
	grid.push(7);//9
	grid.push(7);//10
	grid.push(7);//11
	grid.push(7);//12
	grid.push(8);//13
	grid.push(8);//14
	grid.push(6);//15
	grid.push(6);//16
	grid.push(7);//17
	grid.push(7);//18
	grid.push(8);//19
	grid.push(8);//20
	grid.push(8);//21		
	
	diff=listi();
	diff.push(5);//1
	diff.push(5);//2
	diff.push(6);//3
	diff.push(5);//4
	diff.push(6);//5
	diff.push(6);//6
	diff.push(7);//7
	diff.push(7);//8
	diff.push(7);//9
	diff.push(8);//10
	diff.push(8);//11
	diff.push(9);//12
	diff.push(8);//13
	diff.push(9);//14
	diff.push(9);//15
	diff.push(9);//16
	diff.push(9);//17
	diff.push(9);//18
	diff.push(10);//19
	diff.push(11);//20
	diff.push(11);//21	

	clun=listi();
	clun.push(1);//1
	clun.push(1);//2
	clun.push(1);//3
	clun.push(1);//4
	clun.push(1);//5
	clun.push(2);//6
	clun.push(2);//7
	clun.push(1);//8
	clun.push(2);//9
	clun.push(2);//10
	clun.push(2);//11
	clun.push(2);//12
	clun.push(2);//13
	clun.push(2);//14
	clun.push(1);//15
	clun.push(2);//16
	clun.push(2);//17
	clun.push(2);//18
	clun.push(2);//19
	clun.push(3);//20
	clun.push(3);//21		
	
	l_penguins=listi();
	l_penguins.push(0);//1
	l_penguins.push(0);//2
	l_penguins.push(0);//3
	l_penguins.push(1);//4
	l_penguins.push(1);//5
	l_penguins.push(2);//6
	l_penguins.push(2);//7
	l_penguins.push(3);//8
	l_penguins.push(2);//9
	l_penguins.push(2);//10
	l_penguins.push(2);//11
	l_penguins.push(2);//12
	l_penguins.push(3);//13
	l_penguins.push(3);//14
	l_penguins.push(0);//15
	l_penguins.push(2);//16
	l_penguins.push(1);//17
	l_penguins.push(2);//18
	l_penguins.push(2);//19
	l_penguins.push(3);//20
	l_penguins.push(3);//21		
}
public string isLoaded() { return "1"; }
public string getTileTypes(int _level) {
if (_level==1) return "L:0:-;L:270:-;L:0:CLOCK;I:0:ROCK;L:270:-;D:90:-;I:90:ROCK;T:90:CLOCK;I:0:POTION;T:270:-;L:0:-;T:180:CLOCK;T:270:PENGUINSIT;L:0:-;T:270:-;T:90:-;T:0:-;X:0:-;T:180:-;L:180:-;L:90:-;T:180:SHOES;T:180:-;I:0:-;D:180:-;";
else if (_level==2) return "L:0:-;I:0:CLOCK;L:270:-;D:270:-;D:270:-;I:90:POTION;L:0:-;X:0:CLOCK;T:270:-;I:90:-;T:90:-;T:270:ROCK;T:90:PENGUINSIT;X:0:-;T:270:-;T:90:SHOES;X:0:-;T:270:PENGUINSIT;T:90:CLOCK;L:180:ROCK;L:90:-;L:180:-;L:90:GOPHER;T:180:-;D:180:-;";
else if (_level==3) return "L:0:POTION;I:0:CLOCK;T:0:ROCK;L:270:-;D:270:-;I:90:-;L:0:-;T:270:CLOCK;T:90:-;T:270:-;I:90:CLOCK;T:90:PENGUINSIT;T:270:PENGUINSIT;T:90:-;L:180:SHOES;I:90:GOPHER;T:90:-;T:180:CLOCK;T:180:-;L:270:-;D:90:-;L:90:-;I:0:-;I:0:ROCK;L:180:-;";
else if (_level==4) return "L:0:-;L:270:-;D:270:-;D:0:-;T:0:-;L:270:BANANA;I:90:GOPHER;L:90:-;X:0:-;T:0:-;T:270:PENGUINSIT;D:90:-;T:90:ROCK;T:0:CLOCK;T:270:POTION;I:90:-;L:90:-;L:270:CLOCK;I:90:-;I:90:-;T:90:-;X:0:CLOCK;T:0:-;T:270:SHOES;T:90:-;T:270:-;I:90:-;L:90:-;X:0:CHEST;T:270:CLOCK;D:90:-;L:90:-;T:180:ROCK;I:0:-;L:180:BANANA;D:90:-;";
else if (_level==5) return "L:0:-;I:0:CLOCK;I:0:-;T:0:CLOCK;I:0:-;L:270:-;T:90:-;T:0:BANANA;T:0:SHOES;X:0:-;L:270:GOPHER;I:90:-;I:90:CLOCK;T:90:CLOCK;L:180:SHOES;T:90:-;T:270:PENGUINSIT;I:90:BANANA;L:90:-;X:0:ROCK;L:270:-;T:90:-;T:270:-;I:90:-;D:270:-;I:90:-;T:90:POTION;T:270:ROCK;I:90:CLOCK;I:90:-;L:90:-;L:180:SNOWSPOT;L:90:-;L:180:-;L:90:CHEST;L:180:-;";
else if (_level==6) return "L:0:-;T:0:CLOCK;I:0:-;T:0:ROCK;D:180:-;D:270:-;I:90:-;T:90:CLOCK;D:180:-;T:90:-;I:0:SHOES;L:180:-;I:90:BANANA;L:90:-;T:0:-;T:180:SHOES;T:0:GOPHER;L:270:-;L:90:-;L:270:SNOWSPOT;T:90:ROCK;T:0:CLOCK;T:270:CLOCK;I:90:-;L:0:-;L:180:-;L:90:BANANA;L:180:BANANA;T:90:GOPHER;T:270:POTION;L:90:-;I:0:CLOCK;I:0:CHEST;I:0:-;L:180:-;D:90:-;";
else if (_level==7) return "D:270:-;L:0:ROCK;T:0:-;I:0:-;T:0:CLOCK;L:270:-;T:90:GOPHER;X:0:-;X:0:SHOES;T:0:BANANA;L:180:CLOCK;I:90:SHOES;L:90:ROCK;L:180:SNOWSPOT;I:90:-;T:90:CLOCK;T:0:-;L:180:POTION;L:0:CHEST;L:270:CLOCK;T:90:-;X:0:GOPHER;T:180:-;L:270:-;I:90:-;L:90:-;T:270:-;L:90:-;T:0:BANANA;T:270:-;L:90:-;I:0:CLOCK;L:180:POTION;D:0:-;T:180:BANANA;L:180:CLOCK;";
else if (_level==8) return "L:0:SNOWSPOT;L:270:CLOCK;L:0:-;T:0:-;L:270:-;D:270:-;T:90:PENGUINSIT;T:180:-;L:180:SNOWSPOT;T:90:PENGUINSIT;T:180:-;L:180:-;I:90:POTION;L:0:-;T:0:PENGUINSIT;T:180:-;T:0:-;L:270:CLOCK;L:90:SHOES;X:0:ROCK;X:0:CHEST;T:0:SHOES;X:0:-;T:270:-;L:0:-;X:0:-;T:180:CLOCK;X:0:-;L:180:CLOCK;I:90:POTION;L:90:-;T:180:CLOCK;D:180:-;L:90:-;I:0:CLOCK;L:180:ROCK;";
else if (_level==9) return "L:0:-;I:0:CLOCK;L:270:SNOWSPOT;L:0:-;T:0:-;T:0:GOPHER;L:270:POTION;T:90:-;T:0:-;L:180:SNOWSPOT;T:90:CLOCK;X:0:-;T:270:-;D:90:-;I:90:-;L:90:-;T:0:PENGUINSIT;T:180:CHEST;T:270:-;L:90:SNOWSPOT;L:270:CLOCK;I:90:-;L:0:ROCK;X:0:ROCK;T:0:-;X:0:-;D:180:-;I:90:ROCK;T:90:-;T:180:POTION;T:180:CLOCK;T:270:-;T:90:CLOCK;T:0:-;T:270:-;I:90:-;L:0:SHOES;I:0:-;X:0:-;T:180:-;T:270:-;I:90:CLOCK;D:90:-;L:90:-;I:0:-;L:180:SHOES;D:0:-;T:180:GOPHER;L:180:-;";
else if (_level==10) return "D:0:-;L:270:-;L:0:-;L:270:-;D:0:-;I:0:ROCK;L:270:CLOCK;L:0:-;T:180:ROCK;T:270:CLOCK;L:90:GOPHER;T:0:ROCK;I:0:-;T:270:-;T:90:-;T:0:-;L:180:SNOWSPOT;L:0:-;T:180:-;T:0:SHOES;T:270:POTION;T:90:SHOES;T:270:-;D:0:-;X:0:-;T:0:-;L:180:-;I:90:CLOCK;L:90:-;T:270:CLOCK;L:0:-;T:180:-;T:180:-;T:0:-;T:270:CLOCK;D:270:-;L:90:CLOCK;L:180:SNOWSPOT;L:0:CHEST;I:0:POTION;T:180:GOPHER;T:270:PENGUINSIT;L:90:SNOWSPOT;I:0:-;I:0:-;T:180:-;I:0:CLOCK;I:0:-;L:180:-;";
else if (_level==11) return "L:0:CLOCK;I:0:POTION;L:270:SNOWSPOT;D:270:-;L:0:-;I:0:-;L:270:GOPHER;I:90:-;D:270:-;I:90:CLOCK;L:90:-;T:180:ROCK;D:180:-;I:90:-;I:90:-;T:90:GOPHER;X:0:SHOES;T:0:-;I:0:-;T:0:PENGUINSIT;T:270:ROCK;I:90:-;T:90:BANANA;T:270:CLOCK;T:90:-;T:0:BANANA;T:270:SHOES;I:90:-;L:90:CLOCK;L:180:SNOWSPOT;T:90:CLOCK;T:270:-;I:90:ROCK;T:90:-;T:270:BANANA;L:0:SNOWSPOT;T:0:-;X:0:-;T:180:CHEST;T:270:-;L:90:-;L:180:SNOWSPOT;D:90:-;L:90:CLOCK;T:180:CLOCK;I:0:-;T:180:-;I:0:POTION;D:180:-;";
else if (_level==12) return "L:0:SNOWSPOT;L:270:-;L:0:SNOWSPOT;T:0:-;I:0:GOPHER;I:0:ROCK;L:270:-;D:90:-;L:90:-;L:180:SNOWSPOT;T:90:-;I:0:-;L:270:SHOES;D:90:-;L:0:-;T:0:CLOCK;T:0:BANANA;X:0:ROCK;L:270:CLOCK;L:90:GOPHER;L:270:CLOCK;T:90:-;T:270:CLOCK;T:90:PENGUINSIT;X:0:CLOCK;X:0:-;I:0:-;L:180:CLOCK;D:90:-;I:90:BANANA;T:90:-;T:180:-;L:180:CLOCK;D:0:-;L:270:SNOWSPOT;L:0:-;L:180:CHEST;L:90:ROCK;I:0:POTION;T:0:POTION;T:0:-;T:270:BANANA;L:90:-;I:0:-;I:0:-;I:0:SHOES;T:180:-;L:180:CLOCK;D:90:-;";
else if (_level==13) return "D:0:-;L:270:-;L:0:-;T:0:BANANA;L:270:-;L:0:SNOWSPOT;I:0:SHOES;L:270:-;L:0:-;T:180:-;T:270:-;I:90:CLOCK;L:90:-;T:180:SHOES;L:270:POTION;I:90:ROCK;T:90:-;L:270:CLOCK;I:90:GOPHER;I:90:CLOCK;D:0:-;L:270:ROCK;I:90:CLOCK;I:90:-;D:90:-;I:90:-;T:90:-;X:0:-;L:270:SNOWSPOT;T:90:CHEST;T:270:-;I:90:CHEST;L:0:-;L:180:CLOCK;T:90:-;T:270:-;L:90:BANANA;X:0:-;T:270:-;I:90:-;T:90:-;I:0:CLOCK;T:270:-;T:90:GOPHER;I:0:-;T:180:-;X:0:BANANA;T:270:-;L:90:SNOWSPOT;L:270:-;T:90:ROCK;T:180:CLOCK;T:0:-;T:0:POTION;T:270:GOPHER;I:90:BANANA;D:0:-;L:180:CLOCK;D:90:-;D:0:-;L:180:SNOWSPOT;L:90:-;T:180:-;L:180:-;";
else if (_level==14) return "L:0:-;T:0:POTION;I:0:-;T:0:CLOCK;T:0:-;L:270:-;L:0:SNOWSPOT;L:270:-;I:90:-;T:90:CLOCK;T:0:SHOES;X:0:-;T:270:-;T:90:-;T:270:-;I:90:CLOCK;L:90:SNOWSPOT;T:270:-;I:90:-;I:90:-;T:90:-;T:270:-;T:90:BANANA;L:180:SNOWSPOT;D:0:-;T:180:-;T:270:CHEST;I:90:-;T:90:-;T:270:-;T:90:-;L:270:-;L:0:CLOCK;I:0:-;T:270:CHEST;T:90:BANANA;T:270:ROCK;T:90:BANANA;T:180:-;T:270:CLOCK;I:90:ROCK;L:0:SNOWSPOT;X:0:CLOCK;X:0:-;L:180:GOPHER;T:90:CLOCK;L:270:POTION;I:90:-;T:90:SHOES;T:270:CLOCK;T:90:-;T:180:-;I:0:CLOCK;L:180:SHOES;I:90:-;I:90:-;L:90:-;T:180:-;T:180:-;I:0:-;I:0:BANANA;D:180:-;L:90:GOPHER;L:180:-;";
else if (_level==15) return "L:0:ROCK;D:180:-;D:270:-;D:270:-;L:0:CLOCK;L:270:SNOWSPOT;I:90:CRACK;L:0:SHOES;T:180:CLOCK;X:0:CLOCK;T:180:PENGUINSIT;T:270:POTION;T:90:ROCK;T:180:-;T:0:-;X:0:ROCK;T:0:CLOCK;T:270:-;L:90:-;L:270:POTION;T:90:PENGUINSIT;T:270:-;I:90:CRACK;I:90:CRACK;D:270:-;I:90:CRACK;T:90:CLOCK;L:180:SNOWSPOT;L:90:CLOCK;T:270:CLOCK;L:90:-;T:180:-;L:180:SHOES;D:0:-;I:0:CRACK;L:180:-;";
else if (_level==16) return "L:0:-;T:0:GOPHER;T:0:-;L:270:-;L:0:SHOES;L:270:CLOCK;I:90:ROCK;I:90:CRACK;T:90:GOPHER;T:180:PENGUINSIT;T:270:CLOCK;I:90:-;I:90:CRACK;T:90:SHOES;T:180:POTION;T:0:-;T:180:CLOCK;L:180:-;T:90:ROCK;T:270:POTION;L:0:SNOWSPOT;X:0:-;T:0:PENGUINSIT;D:180:-;T:90:ROCK;X:0:CLOCK;T:180:CLOCK;T:270:CLOCK;L:90:SNOWSPOT;L:270:CLOCK;D:90:-;L:90:-;I:0:CRACK;T:180:-;I:0:-;L:180:-;";
else if (_level==17) return "D:270:-;L:0:POTION;I:0:CRACK;T:0:CLOCK;I:0:-;T:0:SHOES;L:270:ROCK;T:90:-;T:270:-;L:0:SNOWSPOT;L:180:POTION;L:0:-;T:180:CLOCK;L:180:GOPHER;L:90:SNOWSPOT;X:0:-;X:0:CLOCK;T:0:-;T:180:PENGUINSIT;I:0:CRACK;L:270:-;L:0:-;T:180:-;T:180:-;T:180:-;T:0:-;T:0:-;L:180:SNOWSPOT;T:90:CHEST;L:270:CLOCK;L:0:-;L:270:GOPHER;T:90:-;X:0:CLOCK;L:270:ROCK;T:90:ROCK;X:0:-;T:270:PENGUINSIT;I:90:CLOCK;T:90:CLOCK;L:180:-;I:90:-;D:90:-;L:90:SHOES;L:180:CLOCK;L:90:-;T:180:-;I:0:CRACK;L:180:-;";
else if (_level==18) return "D:0:-;T:0:-;I:0:CRACK;L:270:-;D:0:-;I:0:CRACK;L:270:SNOWSPOT;L:0:-;T:270:BANANA;L:0:SNOWSPOT;T:270:BANANA;L:0:-;T:0:POTION;T:270:CHEST;T:90:-;T:180:CLOCK;T:180:CLOCK;X:0:ROCK;T:270:-;T:90:PENGUINSIT;T:270:POTION;T:90:-;T:0:ROCK;T:0:SHOES;T:270:GOPHER;T:90:CLOCK;X:0:SHOES;L:180:-;I:90:CRACK;L:90:CLOCK;X:0:ROCK;T:270:-;L:90:SNOWSPOT;T:270:CLOCK;D:270:-;L:90:-;T:0:CLOCK;T:180:CLOCK;X:0:GOPHER;L:270:-;I:90:-;I:90:CRACK;D:0:-;L:180:-;D:0:-;T:180:CLOCK;L:180:BANANA;L:90:-;L:180:-;";
else if (_level==19) return "D:270:-;L:0:POTION;I:0:CRACK;T:0:PENGUINSIT;D:180:-;L:0:SNOWSPOT;L:270:-;D:270:-;T:90:-;T:180:-;L:270:-;L:90:-;I:0:-;L:180:CLOCK;I:90:BANANA;I:90:SHOES;T:90:CLOCK;I:0:CRACK;T:270:-;L:0:-;T:0:CLOCK;I:0:CRACK;T:270:POTION;I:90:CLOCK;I:90:CRACK;L:0:SNOWSPOT;L:180:ROCK;I:90:BANANA;L:90:-;T:0:BANANA;X:0:ROCK;T:270:CLOCK;I:90:-;T:90:SHOES;T:0:GOPHER;X:0:CLOCK;T:0:-;T:270:-;L:90:-;L:180:-;I:90:ROCK;T:90:-;T:180:-;T:180:-;T:270:-;L:90:CLOCK;I:0:GOPHER;L:270:SHOES;I:90:-;L:90:-;T:0:CHEST;T:0:-;T:180:CLOCK;T:0:-;T:0:-;T:270:-;L:90:SNOWSPOT;I:0:CRACK;T:180:-;T:180:-;I:0:POTION;T:180:-;L:180:CLOCK;D:90:-;";
else if (_level==20) return "L:0:POTION;T:0:ROCK;I:0:CRACK;I:0:-;T:0:-;T:0:-;T:0:ROCK;D:180:-;I:90:-;T:90:CLOCK;T:0:-;L:270:-;L:90:GOPHER;T:180:-;T:180:BANANA;L:270:SNOWSPOT;L:90:-;T:180:SHOES;X:0:POTION;X:0:-;T:0:BANANA;T:0:-;T:0:BANANA;L:180:SNOWSPOT;L:0:-;T:0:CLOCK;T:270:-;I:90:CRACK;T:90:CLOCK;T:180:CLOCK;T:180:ROCK;L:270:GOPHER;I:90:CRACK;I:90:CLOCK;T:90:SHOES;L:180:SNOWSPOT;T:90:-;T:0:CLOCK;L:270:CLOCK;I:90:GOPHER;D:90:-;I:90:-;T:90:-;T:0:CLOCK;T:270:-;T:90:-;T:270:BANANA;I:90:CRACK;D:270:-;L:90:-;T:180:-;T:180:CHEST;L:180:-;T:90:-;X:0:-;T:270:-;L:90:-;I:0:CRACK;I:0:CLOCK;I:0:POTION;I:0:SHOES;L:180:-;L:90:-;L:180:ROCK;";
else if (_level==21) return "D:270:-;L:0:-;L:270:SNOWSPOT;L:0:-;L:270:-;L:0:-;L:270:-;D:270:CLOCK;T:90:SHOES;T:270:CLOCK;T:90:CLOCK;X:0:POTION;T:270:-;D:90:-;T:90:CLOCK;T:270:-;I:90:CRACK;T:90:BANANA;T:270:CLOCK;I:90:CRACK;T:90:BANANA;L:270:-;T:90:ROCK;T:270:ROCK;T:90:ROCK;X:0:POTION;T:180:POTION;T:270:CLOCK;L:90:BANANA;T:270:-;L:90:CHEST;T:270:-;T:90:SHOES;T:180:-;T:0:-;T:270:CLOCK;D:270:-;T:90:ROCK;T:0:CLOCK;L:180:SNOWSPOT;L:90:-;T:0:SHOES;T:270:-;I:90:CRACK;T:90:GOPHER;X:0:CLOCK;L:180:-;D:270:-;L:0:SNOWSPOT;T:270:CLOCK;T:90:BANANA;L:180:GOPHER;T:90:-;T:180:GOPHER;I:0:CRACK;T:270:CLOCK;L:90:-;T:180:-;T:180:-;I:0:CRACK;L:180:SNOWSPOT;D:0:-;I:0:CRACK;L:180:CLOCK;";
}
public int getGridSize(int _level) {
	return grid.get(_level-1);
}
public int getDifficulty(int _level) {
	return diff.get(_level-1);
}
public int getClunnyNum(int _level) {
	return clun.get(_level-1);
}
public int getHedgehogNum(int _level) {
	return 0;
}
public int getPenguinNum(int _level) {
	return l_penguins.get(_level-1);
}
public int getRequiredTime(int _level) { 
	float gs=float(getGridSize(_level));
	float d=float(getDifficulty(_level));
	return ["sc.loader"->getDefaultTime(d,gs) as int];
}

